function  pathstr = CRFeedback2_pathstr

%CRFeedback2_pathstr -- Path string to the root of the CRFeedback2 directory-tree
%
%  pathstr = CRFeedback2_pathstr
%
%  Example:  CRFeedback2_pathstr --> '/Users/apetrov/a/w/work/MLExper/CRFeedback2'
%
%  See also cd, fileparts, fullfile, pwd, work_pathstr.

% (c) Laboratory for Cognitive Modeling and Computational Cognitive
% Neuroscience at the Ohio State University, http://cogmod.osu.edu
% $Revision: 1.0.0 $  $Date: 2008-10-28 $

% v.1.0.0 2009-04-17 AP: Converted from MLRoving01/prog/*.m

pathstr = fileparts(which('CRFeedback2_pathstr')) ;  % '.../CRFeedback2/prog'
idx = find(pathstr==filesep) ;                       %     ^         ^
if (filesep~=':')
	cutoff = idx(end) ;
else  % FILEPARTS on Mac OS 9.2 puts one extra trailing ':'
	cutoff = idx(end-1) ;
end
pathstr(cutoff:end) = [] ;                      % '.../CRFeedback2'

%--- Return PATHSTR
%%%%% End of file CRFeedback2_pathstr.m
